cdac.medinfo.ccdreaderwriter

## Class CCDReader

- java.lang.Object
- - cdac.medinfo.ccdreaderwriter.CCDReader

-     public class CCDReader
      extends java.lang.Object

  This Class is used to Read Continuity of care Document XML and do Unmarshalling of XML document and provide CCDReader Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCDReader(java.lang.String filePath)` Constructs a CCDReader Object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AdvanceDirectives>` | `getAdvanceDirectives()` This method return List of Advance Directives object
    `java.util.List<Alerts>` | `getAlerts()` This method return List of Alert object
    `java.util.List<AuthorInfo>` | `getAuthorInfo()` This method return list of authors of CCD.
    `CCDHeader` | `getCCDHeader()` This method return Header of CCD.
    `java.util.List<DocumentationOfInfo>` | `getDocumentationOfInfo()` This method returns the list documentation of in CCD.
    `java.util.List<Encounters>` | `getEncounters()` This method return List of Encounters object
    `java.util.List<FamilyHistory>` | `getFamilyHistory()` This method return List of Family History object
    `java.util.List<FunctionalStatus>` | `getFunctionalStatus()` This method return List of Functional Status object
    `java.util.List<Immunizations>` | `getImmunizations()` This method return List of Immunizations object
    `java.util.List<MedicalEquipment>` | `getMedicalEquipment()` This method return List of Medical Equipment object
    `java.util.List<Medications>` | `getMedications()` This method return List of Medications object
    `OrganizationInfo` | `getOrganizationName()` This method return Organization Name
    `java.util.List<PatientDetails>` | `getPatientDetails()` This method return List of Patient Details
    `java.util.List<Payer>` | `getPayers()` This method return List of Payers object
    `java.util.List<Plan>` | `getPlan()` This method return List of Plan object
    `java.util.List<Problems>` | `getProblems()` This method return List of Problems object
    `java.util.List<Procedures>` | `getProcedure()` This method return List of Procedure object
    `java.util.List<Results>` | `getResults()` This method return List of Results object
    `java.util.List<SocialHistory>` | `getSocialHistory()` This method is used to Parse Social History Section
    `java.util.List<SummaryPurpose>` | `getSummaryPurpose()` This method return Summary Purpose of Document
    `java.util.List<VitalSigns>` | `getVitalSigns()` This method return List of Vital Signs object

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CCDReader

          public CCDReader(java.lang.String filePath)
                    throws java.io.IOException

      Constructs a CCDReader Object
      Parameters:
        `filePath` - - File path of Clinical Document(XML)
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getPatientDetails

          public java.util.List<PatientDetails> getPatientDetails()

      This method return List of Patient Details
      Returns:
        objSummary- List of PatientDetails

    - #### getSummaryPurpose

          public java.util.List<SummaryPurpose> getSummaryPurpose()

      This method return Summary Purpose of Document
      Returns:
        objSummary- List of SummaryPurpose

    - #### getOrganizationName

          public OrganizationInfo getOrganizationName()

      This method return Organization Name
      Returns:
        object of Organization Name

    - #### getAuthorInfo

          public java.util.List<AuthorInfo> getAuthorInfo()

      This method return list of authors of CCD.
      Returns:
        object of objListAuthor

    - #### getDocumentationOfInfo

          public java.util.List<DocumentationOfInfo> getDocumentationOfInfo()

      This method returns the list documentation of in CCD.
      Returns:
        object of objListDocumentationOfInfo

    - #### getCCDHeader

          public CCDHeader getCCDHeader()

      This method return Header of CCD.
      Returns:
        object of Organization Name

    - #### getPayers

          public java.util.List<Payer> getPayers()

      This method return List of Payers object
      Returns:
        objListPayer - List of Payers

    - #### getVitalSigns

          public java.util.List<VitalSigns> getVitalSigns()

      This method return List of Vital Signs object
      Returns:
        objListVitals- List of Vital Signs

    - #### getMedicalEquipment

          public java.util.List<MedicalEquipment> getMedicalEquipment()

      This method return List of Medical Equipment object
      Returns:
        objListMedicalEquipment- List of MedicalEquipment

    - #### getImmunizations

          public java.util.List<Immunizations> getImmunizations()

      This method return List of Immunizations object
      Returns:
        objListImmunizations- List of Immunizations

    - #### getAdvanceDirectives

          public java.util.List<AdvanceDirectives> getAdvanceDirectives()

      This method return List of Advance Directives object
      Returns:
        objListAdvanceDirectives- List of AdvanceDirectives

    - #### getFunctionalStatus

          public java.util.List<FunctionalStatus> getFunctionalStatus()

      This method return List of Functional Status object
      Returns:
        objListFunctionalStatus- List of FunctionalStatus

    - #### getEncounters

          public java.util.List<Encounters> getEncounters()

      This method return List of Encounters object
      Returns:
        objListEncounter- List of Encounters

    - #### getPlan

          public java.util.List<Plan> getPlan()

      This method return List of Plan object
      Returns:
        objListPlan- List of Plan

    - #### getSocialHistory

          public java.util.List<SocialHistory> getSocialHistory()

      This method is used to Parse Social History Section
      Returns:
        objListSocialHistory- List of Social History

    - #### getResults

          public java.util.List<Results> getResults()

      This method return List of Results object
      Returns:
        objListResults- List of Results

    - #### getFamilyHistory

          public java.util.List<FamilyHistory> getFamilyHistory()

      This method return List of Family History object
      Returns:
        objListFamilyHistory- List of relatives with a medical history

    - #### getProblems

          public java.util.List<Problems> getProblems()

      This method return List of Problems object
      Returns:
        objListProblems- List of problem related to patient

    - #### getMedications

          public java.util.List<Medications> getMedications()

      This method return List of Medications object
      Returns:
        objListMedications- List of Medications related to patient

    - #### getAlerts

          public java.util.List<Alerts> getAlerts()

      This method return List of Alert object
      Returns:
        objListAlerts- List of Alerts

    - #### getProcedure

          public java.util.List<Procedures> getProcedure()

      This method return List of Procedure object
      Returns:
        objListProcedures- List of Procedures